Loading...
Searching...
No Matches
TableColumn.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/Tables/BaseColumn.h>`
`#include <casacore/tables/Tables/BaseTable.h>`
`#include <casacore/casa/BasicSL/String.h>`
`#include <casacore/casa/Arrays/IPosition.h>`

Go to the source code of this file.

## Classes

class | casacore::TableColumn
| More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | TABLECOLUMNCHECKROW(ROWNR)

## Typedefs

typedef TableColumn | casacore::ROTableColumn
| Define ROTableColumn for backward compatibility.

## Macro Definition Documentation

## TABLECOLUMNCHECKROW

#define TABLECOLUMNCHECKROW | ( |  | ROWNR | ) |

Definition at line 49 of file TableColumn.h.

Referenced by casacore::ScalarColumn< T >::get(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalar(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::getScalarValue(), casacore::TableColumn::isDefined(), casacore::ArrayColumn< T >::ndim(), casacore::ArrayColumnBase::ndim(), casacore::TableColumn::ndim(), casacore::ScalarColumn< T >::put(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::TableColumn::putScalar(), casacore::ArrayColumn< T >::shape(), casacore::ArrayColumnBase::shape(), casacore::TableColumn::shape(), and casacore::TableColumn::tileShape().